Page MenuHomePhabricator

"updated since my last visit" marker (updatedmarker) not styled in MW core, Vector
Closed, ResolvedPublic

Description

The "updated since my last visit" marker appears on the history page for pages on your watchlist (invoked by ?action=history), and marks edits that have happened since you last viewed the page. This marker used to be styled with a green background highlight (#00ff00), like this:

It's still styled that way in Monobook and Modern, but in Vector it's not styled at all:

Meanwhile, English Wikipedia has styled it differently, with a text color instead of a background color, and with a different green (#006400), but only in Vector:

Event Timeline

Catrope created this task.May 5 2016, 6:18 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 5 2016, 6:18 PM

Change 287043 had a related patch set uploaded (by Catrope):
Fix unstyled updatedmarker

https://gerrit.wikimedia.org/r/287043

Catrope added a subscriber: Edokter.May 5 2016, 6:25 PM

Change 287043 had a related patch set uploaded (by Catrope):
Fix unstyled updatedmarker
https://gerrit.wikimedia.org/r/287043

This patch applies the green background styling (first screenshot in the task description) in MW core. @Edokter says it burns his eyes and suggests using the enwiki style (dark green text color) instead.

Catrope updated the task description. (Show Details)May 5 2016, 6:27 PM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptMay 5 2016, 6:27 PM

If we're not touching the colors set in the other skins, they will override this, and the colors set in enwiki's common.css will have to remain.

Commons offers a middle ground (#99D642):

Jdlrobson triaged this task as Low priority.May 9 2016, 5:12 PM
Jdlrobson added a subscriber: Jdlrobson.

@Catrope feel free to update priority if you feel wrong.

Jhernandez moved this task from To Triage to Needs Analysis on the Readers-Web-Backlog board.

Change 287043 merged by jenkins-bot:
Fix unstyled updatedmarker

https://gerrit.wikimedia.org/r/287043

matmarex closed this task as Resolved.May 18 2016, 6:17 PM
matmarex assigned this task to Catrope.
Volker_E updated the task description. (Show Details)May 18 2016, 8:17 PM

Change 289549 had a related patch set uploaded (by VolkerE):
Improve unstyled updatedmarker

https://gerrit.wikimedia.org/r/289549

Volker_E reopened this task as Open.May 18 2016, 8:37 PM
Volker_E claimed this task.

Change 289549 merged by jenkins-bot:
Improve unstyled updatedmarker

https://gerrit.wikimedia.org/r/289549

Jdlrobson closed this task as Resolved.May 20 2016, 4:56 PM
TheDJ added a subscriber: TheDJ.May 26 2016, 11:14 PM

This unintentionally showed up on en.wp, because the patch uses span.updatedmarker, whereas english wikipedia was using just .updatedmarker

To quote a user:

aaaaaaaah make it stop before my retinas burn off

And another remark:

The obvious design here is to eliminate those messages and draw a horizontal line above which all edits are "new".

@TheDJ Sorry, the patch uses .updatedmarker, which I explicitely changed to get away from this formerly good, now seen as bad pattern. To clarify, are you citing comments on the before or after patch state situation?

He7d3r added a subscriber: He7d3r.May 27 2016, 1:02 PM

Change 289549 merged by jenkins-bot:
Improve unstyled updatedmarker
https://gerrit.wikimedia.org/r/289549

This patch only applies to the CologneBlue skin. Is that really the intention?

It applies to all skins. But can we decide on a unified selector please?

TheDJ added a comment.May 27 2016, 3:29 PM

@Volker_E there are two definitions of this rule, you only changed the one to .updatedmarker, but not the other one in resources/src/mediawiki.action/mediawiki.action.history.css

It applies to all skins.

I don't think that resources/src/mediawiki.legacy/oldshared.css applies to all skins. The wrong file has been patched.

Uhh, yeah. The original patch (https://gerrit.wikimedia.org/r/#/c/287043/) added the rule to resources/src/mediawiki.action/mediawiki.action.history.css. The follow-up patch (https://gerrit.wikimedia.org/r/#/c/289549/) modified resources/src/mediawiki.legacy/oldshared.css.

matmarex reopened this task as Open.May 27 2016, 3:34 PM

Uhh, yeah. The original patch (https://gerrit.wikimedia.org/r/#/c/287043/) added the rule to resources/src/mediawiki.action/mediawiki.action.history.css. The follow-up patch (https://gerrit.wikimedia.org/r/#/c/289549/) modified resources/src/mediawiki.legacy/oldshared.css.

Thanks for clarifying. Confusing.
Is there a more suitable place for this rule to live and be shared by both pages and skins?

It would be really nice if software developers would think what they intend to do, and test whether their patches actually meet the intentions. Especially if it's something so easy to test as a background color. This is what happened so far:

SkinBackground color before the two patches (has been that way for many years)Background color after gerrit:287043 (never went live on production sites)Background color after gerrit:289549 (currently live on production sites)Actually intended background color
Vectortransparent#0f0#0f0?
Monobook#0f0#0f0#0f0?
Modern#0f0#0f0#0f0?
Cologneblue#0f0#0f0short flash of #b7f430, then #0f0?

From the German-language Wikipedia I can report that there is very negative feedback about the switch from "transparent" to "#0f0" in the Vector skin. I have therefore applied a local hack that sets the background color to "#b7f430" for Vector users in the assumption that this is what you intended.

This is maybe a bit better (#0f0 is just unacceptable), but there are still users complaining that they don't need any highlighting at all, asking for instructions how to remove it.

Change 291514 had a related patch set uploaded (by Bartosz Dziewoński):
Clean up updatedmarker styling mess

https://gerrit.wikimedia.org/r/291514

Change 291515 had a related patch set uploaded (by Bartosz Dziewoński):
Remove updatedmarker styling override

https://gerrit.wikimedia.org/r/291515

Change 291516 had a related patch set uploaded (by Bartosz Dziewoński):
Remove updatedmarker styling override

https://gerrit.wikimedia.org/r/291516

With these patches, the updatedmarker has a #b7f430 background on all WMF-deployed skins, and there is only one place we need to change if we want to use a different color.

Change 291514 merged by jenkins-bot:
Clean up updatedmarker styling mess

https://gerrit.wikimedia.org/r/291514

Change 291515 merged by jenkins-bot:
Remove updatedmarker styling override

https://gerrit.wikimedia.org/r/291515

@Entlinkt Would you point me to the negative feedback on use of background-color here, that you were mentioning?

Change 291516 merged by jenkins-bot:
Remove updatedmarker styling override

https://gerrit.wikimedia.org/r/291516

matmarex closed this task as Resolved.May 28 2016, 8:56 PM
matmarex removed a project: Patch-For-Review.

The negative feedback was, amongst others, here and there.

I think it has mostly cooled down after I applied the change from #0f0 to #b7f430 as a local hack. Since that change has now been done for all skins, it should be fine.